﻿using UnityEngine;
using System.Collections;

public class ToggleSirenFade : MonoBehaviour
{

    public AudioSource source;
    [Range(0.01f,10.0f)]
    public float fadeTime = 1.0f;

    bool isFading = false;

    void Start()
    {
        source = GetComponent<AudioSource>();
    }

    void Update()
    {
        if (isFading)
        {
            source.volume -= Time.deltaTime / fadeTime;
            if (source.volume < 0.01f)
            {
                source.Stop();
                isFading = false;
            }
        }

        if (Input.GetKeyDown(KeyCode.Space))
        {
            
            if (source.isPlaying)
            {
                isFading = true;
            }
            else
            {
                source.volume = 1.0f;
                source.Play();
            }
        }
    }
}
